%global namedreltag -M3-dev
%global namedversion %{version}%{?namedreltag}
Name:          axion
Version:       1.0
Release:       0.3.M3.dev%{?dist}
Summary:       Open Source Java Database
License:       BSD
URL:           http://axion.tigris.org/
# cvs -d :pserver:guest@cvs.tigris.org:/cvs login
# pwd guest
# cvs -d :pserver:guest@cvs.tigris.org:/cvs checkout -r HEAD axion
# rm -rf axion/www
# find axion -name '*.jar' -delete
# find axion -name '*.class' -delete
# rm -rf $(find axion -name 'CVS')
# tar czf axion-1.0-M3-dev-clean-src-cvs20120617.tar.gz axion
Source0:       %{name}-%{namedversion}-clean-src-cvs20120617.tar.gz
Source1:       http://repo1.maven.org/maven2/%{name}/%{name}/%{namedversion}/%{name}-%{namedversion}.pom
# remove javac.minVMVersion
Patch0:        %{name}-%{namedversion}-build.patch
# jdbc 4.x support
Patch1:        %{name}-%{namedversion}-jdk7.patch

BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: java-devel
BuildRequires: javapackages-local
BuildRequires: mvn(commons-codec:commons-codec)
BuildRequires: mvn(commons-collections:commons-collections)
BuildRequires: mvn(commons-logging:commons-logging)
BuildRequires: mvn(commons-primitives:commons-primitives)
BuildRequires: mvn(jakarta-regexp:jakarta-regexp)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(log4j:log4j:1.2.17)
BuildRequires: mvn(net.java.dev.javacc:javacc)

BuildArch:     noarch

%description
Axion is a small, fast, open source relational
database system (RDBMS) supporting SQL and JDBC
written in and for the Java programming language.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n axion

cp -p %{SOURCE1} pom.xml
%pom_xpath_set "pom:dependency[pom:artifactId = 'javacc']/pom:groupId" net.java.dev.javacc

%patch0 -p0
%patch1 -p0

# fix non ASCII chars
for s in src/org/axiondb/engine/commands/AxionQueryPlanner.java\
  src/org/axiondb/engine/rowiterators/IndexNestedLoopJoinedRowIterator.java;do
  native2ascii -encoding UTF8 ${s} ${s}
done

%build
export CLASSPATH=$(build-classpath commons-primitives commons-codec ant/ant-junit regexp):bin/classes:bin/test/classes
%ant \
  -Dcodec.jar=$(build-classpath commons-codec) \
  -Dcollections.jar=$(build-classpath commons-collections) \
  -Dcollections-primitives.jar=$(build-classpath commons-primitives) \
  -Dcommons-primitives.jar=$(build-classpath commons-primitives) \
  -Dlogging.jar=$(build-classpath commons-logging) \
%if %{?fedora} > 20
  -Dlogging-impl.jar=$(build-classpath log4j12-1.2.17) \
%else
  -Dlogging-impl.jar=$(build-classpath log4j) \
%endif
  -Djavacc.jar=$(build-classpath javacc) \
  -Djavacc.home=%{_javadir} \
  -Djunit.jar=$(build-classpath junit) \
  -Dregexp.jar=$(build-classpath regexp) \
  -Dtest.failonerror=false \
  jar doc

%install
%mvn_artifact pom.xml bin/%{name}-%{namedversion}.jar
%mvn_file :%{name} %{name}
%mvn_install -J bin/docs/api

%files -f .mfiles
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.3.M3.dev
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Apr 13 2015 gil cattaneo <puntogil@libero.it> 1.0-0.2.M3.dev
- fix license field

* Sun Jun 17 2012 gil cattaneo <puntogil@libero.it> 1.0-0.1.M3.dev
- initial rpm
